import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  fileId: SortOrderSchema.optional(),
  seq: SortOrderSchema.optional(),
  data: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const CloudFileChunkMinOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileChunkMinOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkMinOrderByAggregateInput>;
export const CloudFileChunkMinOrderByAggregateInputObjectZodSchema = makeSchema();
